Program to generate an xml file based on a provided text file
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

863 lines
35KB

  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. bin_PROGRAMS = generarxml$(EXEEXT)
  85. subdir = .
  86. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  87. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  88. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  89. $(ACLOCAL_M4)
  90. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  91. $(am__configure_deps) $(am__DIST_COMMON)
  92. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  93. configure.lineno config.status.lineno
  94. mkinstalldirs = $(install_sh) -d
  95. CONFIG_CLEAN_FILES =
  96. CONFIG_CLEAN_VPATH_FILES =
  97. am__installdirs = "$(DESTDIR)$(bindir)"
  98. PROGRAMS = $(bin_PROGRAMS)
  99. am__dirstamp = $(am__leading_dot)dirstamp
  100. am_generarxml_OBJECTS = src/generarxml-main.$(OBJEXT) \
  101. src/generarxml-readconfig.$(OBJEXT) \
  102. src/generarxml-readfile.$(OBJEXT) \
  103. src/generarxml-encoding.$(OBJEXT) \
  104. src/generarxml-string.$(OBJEXT)
  105. generarxml_OBJECTS = $(am_generarxml_OBJECTS)
  106. generarxml_LDADD = $(LDADD)
  107. generarxml_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(generarxml_LDFLAGS) \
  108. $(LDFLAGS) -o $@
  109. AM_V_P = $(am__v_P_@AM_V@)
  110. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  111. am__v_P_0 = false
  112. am__v_P_1 = :
  113. AM_V_GEN = $(am__v_GEN_@AM_V@)
  114. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  115. am__v_GEN_0 = @echo " GEN " $@;
  116. am__v_GEN_1 =
  117. AM_V_at = $(am__v_at_@AM_V@)
  118. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  119. am__v_at_0 = @
  120. am__v_at_1 =
  121. DEFAULT_INCLUDES = -I.@am__isrc@
  122. depcomp = $(SHELL) $(top_srcdir)/depcomp
  123. am__depfiles_maybe = depfiles
  124. am__mv = mv -f
  125. AM_V_lt = $(am__v_lt_@AM_V@)
  126. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  127. am__v_lt_0 = --silent
  128. am__v_lt_1 =
  129. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  130. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  131. AM_V_CC = $(am__v_CC_@AM_V@)
  132. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  133. am__v_CC_0 = @echo " CC " $@;
  134. am__v_CC_1 =
  135. CCLD = $(CC)
  136. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  137. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  138. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  139. am__v_CCLD_0 = @echo " CCLD " $@;
  140. am__v_CCLD_1 =
  141. SOURCES = $(generarxml_SOURCES)
  142. DIST_SOURCES = $(generarxml_SOURCES)
  143. am__can_run_installinfo = \
  144. case $$AM_UPDATE_INFO_DIR in \
  145. n|no|NO) false;; \
  146. *) (install-info --version) >/dev/null 2>&1;; \
  147. esac
  148. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  149. # Read a list of newline-separated strings from the standard input,
  150. # and print each of them once, without duplicates. Input order is
  151. # *not* preserved.
  152. am__uniquify_input = $(AWK) '\
  153. BEGIN { nonempty = 0; } \
  154. { items[$$0] = 1; nonempty = 1; } \
  155. END { if (nonempty) { for (i in items) print i; }; } \
  156. '
  157. # Make sure the list of sources is unique. This is necessary because,
  158. # e.g., the same source file might be shared among _SOURCES variables
  159. # for different programs/libraries.
  160. am__define_uniq_tagged_files = \
  161. list='$(am__tagged_files)'; \
  162. unique=`for i in $$list; do \
  163. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  164. done | $(am__uniquify_input)`
  165. ETAGS = etags
  166. CTAGS = ctags
  167. CSCOPE = cscope
  168. AM_RECURSIVE_TARGETS = cscope
  169. am__DIST_COMMON = $(srcdir)/Makefile.in README compile depcomp \
  170. install-sh missing
  171. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  172. distdir = $(PACKAGE)-$(VERSION)
  173. top_distdir = $(distdir)
  174. am__remove_distdir = \
  175. if test -d "$(distdir)"; then \
  176. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  177. && rm -rf "$(distdir)" \
  178. || { sleep 5 && rm -rf "$(distdir)"; }; \
  179. else :; fi
  180. am__post_remove_distdir = $(am__remove_distdir)
  181. DIST_ARCHIVES = $(distdir).tar.gz
  182. GZIP_ENV = --best
  183. DIST_TARGETS = dist-gzip
  184. distuninstallcheck_listfiles = find . -type f -print
  185. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  186. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  187. distcleancheck_listfiles = find . -type f -print
  188. ACLOCAL = @ACLOCAL@
  189. AMTAR = @AMTAR@
  190. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  191. AUTOCONF = @AUTOCONF@
  192. AUTOHEADER = @AUTOHEADER@
  193. AUTOMAKE = @AUTOMAKE@
  194. AWK = @AWK@
  195. CC = @CC@
  196. CCDEPMODE = @CCDEPMODE@
  197. CFLAGS = @CFLAGS@
  198. CPPFLAGS = @CPPFLAGS@
  199. CYGPATH_W = @CYGPATH_W@
  200. DEFS = @DEFS@
  201. DEPDIR = @DEPDIR@
  202. ECHO_C = @ECHO_C@
  203. ECHO_N = @ECHO_N@
  204. ECHO_T = @ECHO_T@
  205. EXEEXT = @EXEEXT@
  206. INSTALL = @INSTALL@
  207. INSTALL_DATA = @INSTALL_DATA@
  208. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  209. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  210. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  211. LDFLAGS = @LDFLAGS@
  212. LIBOBJS = @LIBOBJS@
  213. LIBS = @LIBS@
  214. LIBXML2_CFLAGS = @LIBXML2_CFLAGS@
  215. LIBXML2_LIBS = @LIBXML2_LIBS@
  216. LTLIBOBJS = @LTLIBOBJS@
  217. M4 = @M4@
  218. MAKEINFO = @MAKEINFO@
  219. MKDIR_P = @MKDIR_P@
  220. OBJEXT = @OBJEXT@
  221. PACKAGE = @PACKAGE@
  222. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  223. PACKAGE_NAME = @PACKAGE_NAME@
  224. PACKAGE_STRING = @PACKAGE_STRING@
  225. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  226. PACKAGE_URL = @PACKAGE_URL@
  227. PACKAGE_VERSION = @PACKAGE_VERSION@
  228. PATH_SEPARATOR = @PATH_SEPARATOR@
  229. PKG_CONFIG = @PKG_CONFIG@
  230. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  231. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  232. SET_MAKE = @SET_MAKE@
  233. SHELL = @SHELL@
  234. STRIP = @STRIP@
  235. VERSION = @VERSION@
  236. XML2_CONFIG = @XML2_CONFIG@
  237. XML_CPPFLAGS = @XML_CPPFLAGS@
  238. XML_LIBS = @XML_LIBS@
  239. abs_builddir = @abs_builddir@
  240. abs_srcdir = @abs_srcdir@
  241. abs_top_builddir = @abs_top_builddir@
  242. abs_top_srcdir = @abs_top_srcdir@
  243. ac_ct_CC = @ac_ct_CC@
  244. am__include = @am__include@
  245. am__leading_dot = @am__leading_dot@
  246. am__quote = @am__quote@
  247. am__tar = @am__tar@
  248. am__untar = @am__untar@
  249. bindir = @bindir@
  250. build_alias = @build_alias@
  251. builddir = @builddir@
  252. datadir = @datadir@
  253. datarootdir = @datarootdir@
  254. docdir = @docdir@
  255. dvidir = @dvidir@
  256. exec_prefix = @exec_prefix@
  257. host_alias = @host_alias@
  258. htmldir = @htmldir@
  259. includedir = @includedir@
  260. infodir = @infodir@
  261. install_sh = @install_sh@
  262. libdir = @libdir@
  263. libexecdir = @libexecdir@
  264. localedir = @localedir@
  265. localstatedir = @localstatedir@
  266. mandir = @mandir@
  267. mkdir_p = @mkdir_p@
  268. oldincludedir = @oldincludedir@
  269. pdfdir = @pdfdir@
  270. prefix = @prefix@
  271. program_transform_name = @program_transform_name@
  272. psdir = @psdir@
  273. sbindir = @sbindir@
  274. sharedstatedir = @sharedstatedir@
  275. srcdir = @srcdir@
  276. sysconfdir = @sysconfdir@
  277. target_alias = @target_alias@
  278. top_build_prefix = @top_build_prefix@
  279. top_builddir = @top_builddir@
  280. top_srcdir = @top_srcdir@
  281. AUTOMAKE_OPTIONS = foreign
  282. generarxml_SOURCES = src/main.c \
  283. src/main.h \
  284. src/readconfig.c \
  285. src/readconfig.h \
  286. src/readfile.c \
  287. src/readfile.h \
  288. src/encoding.c \
  289. src/encoding.h \
  290. src/string.c \
  291. src/string.h
  292. generarxml_CPPFLAGS = $(XML_CPPFLAGS)
  293. generarxml_LDFLAGS = $(XML_LIBS)
  294. EXTRA_DIST = misc/Biblia.txt \
  295. misc/config.dtd \
  296. misc/chris.conf \
  297. src/misc/Biblia.txt \
  298. src/misc/config.dtd \
  299. src/misc/chris.conf
  300. all: all-am
  301. .SUFFIXES:
  302. .SUFFIXES: .c .o .obj
  303. am--refresh: Makefile
  304. @:
  305. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  306. @for dep in $?; do \
  307. case '$(am__configure_deps)' in \
  308. *$$dep*) \
  309. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  310. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  311. && exit 0; \
  312. exit 1;; \
  313. esac; \
  314. done; \
  315. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  316. $(am__cd) $(top_srcdir) && \
  317. $(AUTOMAKE) --foreign Makefile
  318. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  319. @case '$?' in \
  320. *config.status*) \
  321. echo ' $(SHELL) ./config.status'; \
  322. $(SHELL) ./config.status;; \
  323. *) \
  324. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  325. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  326. esac;
  327. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  328. $(SHELL) ./config.status --recheck
  329. $(top_srcdir)/configure: $(am__configure_deps)
  330. $(am__cd) $(srcdir) && $(AUTOCONF)
  331. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  332. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  333. $(am__aclocal_m4_deps):
  334. install-binPROGRAMS: $(bin_PROGRAMS)
  335. @$(NORMAL_INSTALL)
  336. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  337. if test -n "$$list"; then \
  338. echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  339. $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  340. fi; \
  341. for p in $$list; do echo "$$p $$p"; done | \
  342. sed 's/$(EXEEXT)$$//' | \
  343. while read p p1; do if test -f $$p \
  344. ; then echo "$$p"; echo "$$p"; else :; fi; \
  345. done | \
  346. sed -e 'p;s,.*/,,;n;h' \
  347. -e 's|.*|.|' \
  348. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  349. sed 'N;N;N;s,\n, ,g' | \
  350. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  351. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  352. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  353. else { print "f", $$3 "/" $$4, $$1; } } \
  354. END { for (d in files) print "f", d, files[d] }' | \
  355. while read type dir files; do \
  356. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  357. test -z "$$files" || { \
  358. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  359. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  360. } \
  361. ; done
  362. uninstall-binPROGRAMS:
  363. @$(NORMAL_UNINSTALL)
  364. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  365. files=`for p in $$list; do echo "$$p"; done | \
  366. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  367. -e 's/$$/$(EXEEXT)/' \
  368. `; \
  369. test -n "$$list" || exit 0; \
  370. echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  371. cd "$(DESTDIR)$(bindir)" && rm -f $$files
  372. clean-binPROGRAMS:
  373. -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  374. src/$(am__dirstamp):
  375. @$(MKDIR_P) src
  376. @: > src/$(am__dirstamp)
  377. src/$(DEPDIR)/$(am__dirstamp):
  378. @$(MKDIR_P) src/$(DEPDIR)
  379. @: > src/$(DEPDIR)/$(am__dirstamp)
  380. src/generarxml-main.$(OBJEXT): src/$(am__dirstamp) \
  381. src/$(DEPDIR)/$(am__dirstamp)
  382. src/generarxml-readconfig.$(OBJEXT): src/$(am__dirstamp) \
  383. src/$(DEPDIR)/$(am__dirstamp)
  384. src/generarxml-readfile.$(OBJEXT): src/$(am__dirstamp) \
  385. src/$(DEPDIR)/$(am__dirstamp)
  386. src/generarxml-encoding.$(OBJEXT): src/$(am__dirstamp) \
  387. src/$(DEPDIR)/$(am__dirstamp)
  388. src/generarxml-string.$(OBJEXT): src/$(am__dirstamp) \
  389. src/$(DEPDIR)/$(am__dirstamp)
  390. generarxml$(EXEEXT): $(generarxml_OBJECTS) $(generarxml_DEPENDENCIES) $(EXTRA_generarxml_DEPENDENCIES)
  391. @rm -f generarxml$(EXEEXT)
  392. $(AM_V_CCLD)$(generarxml_LINK) $(generarxml_OBJECTS) $(generarxml_LDADD) $(LIBS)
  393. mostlyclean-compile:
  394. -rm -f *.$(OBJEXT)
  395. -rm -f src/*.$(OBJEXT)
  396. distclean-compile:
  397. -rm -f *.tab.c
  398. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-encoding.Po@am__quote@
  399. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-main.Po@am__quote@
  400. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-readconfig.Po@am__quote@
  401. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-readfile.Po@am__quote@
  402. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-string.Po@am__quote@
  403. .c.o:
  404. @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  405. @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  406. @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
  407. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  408. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  409. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  410. .c.obj:
  411. @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  412. @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  413. @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
  414. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  415. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  416. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  417. src/generarxml-main.o: src/main.c
  418. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-main.o -MD -MP -MF src/$(DEPDIR)/generarxml-main.Tpo -c -o src/generarxml-main.o `test -f 'src/main.c' || echo '$(srcdir)/'`src/main.c
  419. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-main.Tpo src/$(DEPDIR)/generarxml-main.Po
  420. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/main.c' object='src/generarxml-main.o' libtool=no @AMDEPBACKSLASH@
  421. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  422. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-main.o `test -f 'src/main.c' || echo '$(srcdir)/'`src/main.c
  423. src/generarxml-main.obj: src/main.c
  424. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-main.obj -MD -MP -MF src/$(DEPDIR)/generarxml-main.Tpo -c -o src/generarxml-main.obj `if test -f 'src/main.c'; then $(CYGPATH_W) 'src/main.c'; else $(CYGPATH_W) '$(srcdir)/src/main.c'; fi`
  425. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-main.Tpo src/$(DEPDIR)/generarxml-main.Po
  426. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/main.c' object='src/generarxml-main.obj' libtool=no @AMDEPBACKSLASH@
  427. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  428. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-main.obj `if test -f 'src/main.c'; then $(CYGPATH_W) 'src/main.c'; else $(CYGPATH_W) '$(srcdir)/src/main.c'; fi`
  429. src/generarxml-readconfig.o: src/readconfig.c
  430. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readconfig.o -MD -MP -MF src/$(DEPDIR)/generarxml-readconfig.Tpo -c -o src/generarxml-readconfig.o `test -f 'src/readconfig.c' || echo '$(srcdir)/'`src/readconfig.c
  431. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readconfig.Tpo src/$(DEPDIR)/generarxml-readconfig.Po
  432. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readconfig.c' object='src/generarxml-readconfig.o' libtool=no @AMDEPBACKSLASH@
  433. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  434. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readconfig.o `test -f 'src/readconfig.c' || echo '$(srcdir)/'`src/readconfig.c
  435. src/generarxml-readconfig.obj: src/readconfig.c
  436. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readconfig.obj -MD -MP -MF src/$(DEPDIR)/generarxml-readconfig.Tpo -c -o src/generarxml-readconfig.obj `if test -f 'src/readconfig.c'; then $(CYGPATH_W) 'src/readconfig.c'; else $(CYGPATH_W) '$(srcdir)/src/readconfig.c'; fi`
  437. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readconfig.Tpo src/$(DEPDIR)/generarxml-readconfig.Po
  438. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readconfig.c' object='src/generarxml-readconfig.obj' libtool=no @AMDEPBACKSLASH@
  439. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  440. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readconfig.obj `if test -f 'src/readconfig.c'; then $(CYGPATH_W) 'src/readconfig.c'; else $(CYGPATH_W) '$(srcdir)/src/readconfig.c'; fi`
  441. src/generarxml-readfile.o: src/readfile.c
  442. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readfile.o -MD -MP -MF src/$(DEPDIR)/generarxml-readfile.Tpo -c -o src/generarxml-readfile.o `test -f 'src/readfile.c' || echo '$(srcdir)/'`src/readfile.c
  443. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readfile.Tpo src/$(DEPDIR)/generarxml-readfile.Po
  444. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readfile.c' object='src/generarxml-readfile.o' libtool=no @AMDEPBACKSLASH@
  445. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  446. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readfile.o `test -f 'src/readfile.c' || echo '$(srcdir)/'`src/readfile.c
  447. src/generarxml-readfile.obj: src/readfile.c
  448. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readfile.obj -MD -MP -MF src/$(DEPDIR)/generarxml-readfile.Tpo -c -o src/generarxml-readfile.obj `if test -f 'src/readfile.c'; then $(CYGPATH_W) 'src/readfile.c'; else $(CYGPATH_W) '$(srcdir)/src/readfile.c'; fi`
  449. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readfile.Tpo src/$(DEPDIR)/generarxml-readfile.Po
  450. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readfile.c' object='src/generarxml-readfile.obj' libtool=no @AMDEPBACKSLASH@
  451. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  452. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readfile.obj `if test -f 'src/readfile.c'; then $(CYGPATH_W) 'src/readfile.c'; else $(CYGPATH_W) '$(srcdir)/src/readfile.c'; fi`
  453. src/generarxml-encoding.o: src/encoding.c
  454. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-encoding.o -MD -MP -MF src/$(DEPDIR)/generarxml-encoding.Tpo -c -o src/generarxml-encoding.o `test -f 'src/encoding.c' || echo '$(srcdir)/'`src/encoding.c
  455. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-encoding.Tpo src/$(DEPDIR)/generarxml-encoding.Po
  456. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/encoding.c' object='src/generarxml-encoding.o' libtool=no @AMDEPBACKSLASH@
  457. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  458. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-encoding.o `test -f 'src/encoding.c' || echo '$(srcdir)/'`src/encoding.c
  459. src/generarxml-encoding.obj: src/encoding.c
  460. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-encoding.obj -MD -MP -MF src/$(DEPDIR)/generarxml-encoding.Tpo -c -o src/generarxml-encoding.obj `if test -f 'src/encoding.c'; then $(CYGPATH_W) 'src/encoding.c'; else $(CYGPATH_W) '$(srcdir)/src/encoding.c'; fi`
  461. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-encoding.Tpo src/$(DEPDIR)/generarxml-encoding.Po
  462. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/encoding.c' object='src/generarxml-encoding.obj' libtool=no @AMDEPBACKSLASH@
  463. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  464. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-encoding.obj `if test -f 'src/encoding.c'; then $(CYGPATH_W) 'src/encoding.c'; else $(CYGPATH_W) '$(srcdir)/src/encoding.c'; fi`
  465. src/generarxml-string.o: src/string.c
  466. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-string.o -MD -MP -MF src/$(DEPDIR)/generarxml-string.Tpo -c -o src/generarxml-string.o `test -f 'src/string.c' || echo '$(srcdir)/'`src/string.c
  467. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-string.Tpo src/$(DEPDIR)/generarxml-string.Po
  468. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/string.c' object='src/generarxml-string.o' libtool=no @AMDEPBACKSLASH@
  469. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  470. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-string.o `test -f 'src/string.c' || echo '$(srcdir)/'`src/string.c
  471. src/generarxml-string.obj: src/string.c
  472. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-string.obj -MD -MP -MF src/$(DEPDIR)/generarxml-string.Tpo -c -o src/generarxml-string.obj `if test -f 'src/string.c'; then $(CYGPATH_W) 'src/string.c'; else $(CYGPATH_W) '$(srcdir)/src/string.c'; fi`
  473. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-string.Tpo src/$(DEPDIR)/generarxml-string.Po
  474. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/string.c' object='src/generarxml-string.obj' libtool=no @AMDEPBACKSLASH@
  475. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  476. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-string.obj `if test -f 'src/string.c'; then $(CYGPATH_W) 'src/string.c'; else $(CYGPATH_W) '$(srcdir)/src/string.c'; fi`
  477. ID: $(am__tagged_files)
  478. $(am__define_uniq_tagged_files); mkid -fID $$unique
  479. tags: tags-am
  480. TAGS: tags
  481. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  482. set x; \
  483. here=`pwd`; \
  484. $(am__define_uniq_tagged_files); \
  485. shift; \
  486. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  487. test -n "$$unique" || unique=$$empty_fix; \
  488. if test $$# -gt 0; then \
  489. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  490. "$$@" $$unique; \
  491. else \
  492. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  493. $$unique; \
  494. fi; \
  495. fi
  496. ctags: ctags-am
  497. CTAGS: ctags
  498. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  499. $(am__define_uniq_tagged_files); \
  500. test -z "$(CTAGS_ARGS)$$unique" \
  501. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  502. $$unique
  503. GTAGS:
  504. here=`$(am__cd) $(top_builddir) && pwd` \
  505. && $(am__cd) $(top_srcdir) \
  506. && gtags -i $(GTAGS_ARGS) "$$here"
  507. cscope: cscope.files
  508. test ! -s cscope.files \
  509. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  510. clean-cscope:
  511. -rm -f cscope.files
  512. cscope.files: clean-cscope cscopelist
  513. cscopelist: cscopelist-am
  514. cscopelist-am: $(am__tagged_files)
  515. list='$(am__tagged_files)'; \
  516. case "$(srcdir)" in \
  517. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  518. *) sdir=$(subdir)/$(srcdir) ;; \
  519. esac; \
  520. for i in $$list; do \
  521. if test -f "$$i"; then \
  522. echo "$(subdir)/$$i"; \
  523. else \
  524. echo "$$sdir/$$i"; \
  525. fi; \
  526. done >> $(top_builddir)/cscope.files
  527. distclean-tags:
  528. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  529. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  530. distdir: $(DISTFILES)
  531. $(am__remove_distdir)
  532. test -d "$(distdir)" || mkdir "$(distdir)"
  533. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  534. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  535. list='$(DISTFILES)'; \
  536. dist_files=`for file in $$list; do echo $$file; done | \
  537. sed -e "s|^$$srcdirstrip/||;t" \
  538. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  539. case $$dist_files in \
  540. */*) $(MKDIR_P) `echo "$$dist_files" | \
  541. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  542. sort -u` ;; \
  543. esac; \
  544. for file in $$dist_files; do \
  545. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  546. if test -d $$d/$$file; then \
  547. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  548. if test -d "$(distdir)/$$file"; then \
  549. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  550. fi; \
  551. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  552. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  553. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  554. fi; \
  555. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  556. else \
  557. test -f "$(distdir)/$$file" \
  558. || cp -p $$d/$$file "$(distdir)/$$file" \
  559. || exit 1; \
  560. fi; \
  561. done
  562. -test -n "$(am__skip_mode_fix)" \
  563. || find "$(distdir)" -type d ! -perm -755 \
  564. -exec chmod u+rwx,go+rx {} \; -o \
  565. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  566. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  567. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  568. || chmod -R a+r "$(distdir)"
  569. dist-gzip: distdir
  570. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  571. $(am__post_remove_distdir)
  572. dist-bzip2: distdir
  573. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  574. $(am__post_remove_distdir)
  575. dist-lzip: distdir
  576. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  577. $(am__post_remove_distdir)
  578. dist-xz: distdir
  579. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  580. $(am__post_remove_distdir)
  581. dist-tarZ: distdir
  582. @echo WARNING: "Support for distribution archives compressed with" \
  583. "legacy program 'compress' is deprecated." >&2
  584. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  585. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  586. $(am__post_remove_distdir)
  587. dist-shar: distdir
  588. @echo WARNING: "Support for shar distribution archives is" \
  589. "deprecated." >&2
  590. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  591. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  592. $(am__post_remove_distdir)
  593. dist-zip: distdir
  594. -rm -f $(distdir).zip
  595. zip -rq $(distdir).zip $(distdir)
  596. $(am__post_remove_distdir)
  597. dist dist-all:
  598. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  599. $(am__post_remove_distdir)
  600. # This target untars the dist file and tries a VPATH configuration. Then
  601. # it guarantees that the distribution is self-contained by making another
  602. # tarfile.
  603. distcheck: dist
  604. case '$(DIST_ARCHIVES)' in \
  605. *.tar.gz*) \
  606. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  607. *.tar.bz2*) \
  608. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  609. *.tar.lz*) \
  610. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  611. *.tar.xz*) \
  612. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  613. *.tar.Z*) \
  614. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  615. *.shar.gz*) \
  616. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  617. *.zip*) \
  618. unzip $(distdir).zip ;;\
  619. esac
  620. chmod -R a-w $(distdir)
  621. chmod u+w $(distdir)
  622. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  623. chmod a-w $(distdir)
  624. test -d $(distdir)/_build || exit 0; \
  625. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  626. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  627. && am__cwd=`pwd` \
  628. && $(am__cd) $(distdir)/_build/sub \
  629. && ../../configure \
  630. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  631. $(DISTCHECK_CONFIGURE_FLAGS) \
  632. --srcdir=../.. --prefix="$$dc_install_base" \
  633. && $(MAKE) $(AM_MAKEFLAGS) \
  634. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  635. && $(MAKE) $(AM_MAKEFLAGS) check \
  636. && $(MAKE) $(AM_MAKEFLAGS) install \
  637. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  638. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  639. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  640. distuninstallcheck \
  641. && chmod -R a-w "$$dc_install_base" \
  642. && ({ \
  643. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  644. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  645. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  646. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  647. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  648. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  649. && rm -rf "$$dc_destdir" \
  650. && $(MAKE) $(AM_MAKEFLAGS) dist \
  651. && rm -rf $(DIST_ARCHIVES) \
  652. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  653. && cd "$$am__cwd" \
  654. || exit 1
  655. $(am__post_remove_distdir)
  656. @(echo "$(distdir) archives ready for distribution: "; \
  657. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  658. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  659. distuninstallcheck:
  660. @test -n '$(distuninstallcheck_dir)' || { \
  661. echo 'ERROR: trying to run $@ with an empty' \
  662. '$$(distuninstallcheck_dir)' >&2; \
  663. exit 1; \
  664. }; \
  665. $(am__cd) '$(distuninstallcheck_dir)' || { \
  666. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  667. exit 1; \
  668. }; \
  669. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  670. || { echo "ERROR: files left after uninstall:" ; \
  671. if test -n "$(DESTDIR)"; then \
  672. echo " (check DESTDIR support)"; \
  673. fi ; \
  674. $(distuninstallcheck_listfiles) ; \
  675. exit 1; } >&2
  676. distcleancheck: distclean
  677. @if test '$(srcdir)' = . ; then \
  678. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  679. exit 1 ; \
  680. fi
  681. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  682. || { echo "ERROR: files left in build directory after distclean:" ; \
  683. $(distcleancheck_listfiles) ; \
  684. exit 1; } >&2
  685. check-am: all-am
  686. check: check-am
  687. all-am: Makefile $(PROGRAMS)
  688. installdirs:
  689. for dir in "$(DESTDIR)$(bindir)"; do \
  690. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  691. done
  692. install: install-am
  693. install-exec: install-exec-am
  694. install-data: install-data-am
  695. uninstall: uninstall-am
  696. install-am: all-am
  697. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  698. installcheck: installcheck-am
  699. install-strip:
  700. if test -z '$(STRIP)'; then \
  701. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  702. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  703. install; \
  704. else \
  705. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  706. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  707. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  708. fi
  709. mostlyclean-generic:
  710. clean-generic:
  711. distclean-generic:
  712. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  713. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  714. -rm -f src/$(DEPDIR)/$(am__dirstamp)
  715. -rm -f src/$(am__dirstamp)
  716. maintainer-clean-generic:
  717. @echo "This command is intended for maintainers to use"
  718. @echo "it deletes files that may require special tools to rebuild."
  719. clean: clean-am
  720. clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  721. distclean: distclean-am
  722. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  723. -rm -rf src/$(DEPDIR)
  724. -rm -f Makefile
  725. distclean-am: clean-am distclean-compile distclean-generic \
  726. distclean-tags
  727. dvi: dvi-am
  728. dvi-am:
  729. html: html-am
  730. html-am:
  731. info: info-am
  732. info-am:
  733. install-data-am:
  734. install-dvi: install-dvi-am
  735. install-dvi-am:
  736. install-exec-am: install-binPROGRAMS
  737. install-html: install-html-am
  738. install-html-am:
  739. install-info: install-info-am
  740. install-info-am:
  741. install-man:
  742. install-pdf: install-pdf-am
  743. install-pdf-am:
  744. install-ps: install-ps-am
  745. install-ps-am:
  746. installcheck-am:
  747. maintainer-clean: maintainer-clean-am
  748. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  749. -rm -rf $(top_srcdir)/autom4te.cache
  750. -rm -rf src/$(DEPDIR)
  751. -rm -f Makefile
  752. maintainer-clean-am: distclean-am maintainer-clean-generic
  753. mostlyclean: mostlyclean-am
  754. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  755. pdf: pdf-am
  756. pdf-am:
  757. ps: ps-am
  758. ps-am:
  759. uninstall-am: uninstall-binPROGRAMS
  760. .MAKE: install-am install-strip
  761. .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  762. clean-binPROGRAMS clean-cscope clean-generic cscope \
  763. cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  764. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  765. distcheck distclean distclean-compile distclean-generic \
  766. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  767. dvi-am html html-am info info-am install install-am \
  768. install-binPROGRAMS install-data install-data-am install-dvi \
  769. install-dvi-am install-exec install-exec-am install-html \
  770. install-html-am install-info install-info-am install-man \
  771. install-pdf install-pdf-am install-ps install-ps-am \
  772. install-strip installcheck installcheck-am installdirs \
  773. maintainer-clean maintainer-clean-generic mostlyclean \
  774. mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  775. tags tags-am uninstall uninstall-am uninstall-binPROGRAMS
  776. .PRECIOUS: Makefile
  777. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  778. # Otherwise a system limit (for SysV at least) may be exceeded.
  779. .NOEXPORT: